apiVersion: apps/v1
kind: Deployment
metadata:
  name: authservice
  labels:
    app: authservice
spec:
  replicas: 2
  selector:
    matchLabels:
      app: authservice
  template:
    metadata:
      labels:
        app: authservice
    spec:
      imagePullSecrets:
        - name: dawreck
      containers:
        - name: authservice
          image: registry.dawreck.nl/arceus/auth-service:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
